import { ProColumns } from "@ant-design/pro-components";
import { Badge } from "antd";

export const columns = (): ProColumns<any>[] => {
    return [
        {
            title: "ID",
            dataIndex: 'id',
            hideInSearch: true,
            align: "center",
            key: "id",
        },
        {
            title: "账号昵称",
            dataIndex: 'nickname',
            key: "nickname",
            align: "center",
        },
        {
            title: "手机号",
            dataIndex: 'phoneNum',
            key: "phoneNum",
            align: "center",
        },
        {
            title: "备注",
            dataIndex: 'remark',
            key: "remark",
            hideInSearch: true,
            align: "center",
        },
        {
            title: "状态",
            dataIndex: 'enabled',
            key: "enabled",
            hideInSearch: true,
            align: "center",
            render: (a) => {
                return <Badge status={a ? "processing" : "error"} text={a ? "正常" : "停用"} />
            }
        },
    ];
}